horizon (3:15.1.0-0ubuntu1.1) disco; urgency=medium

  * No change rebuild to pick up xstatic orig tarball.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jul 2019 10:06:53 -0400

horizon (3:15.1.0-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Stein (LP: #1837905).
  * d/p/set-min-version-of-python-cinderclient-to-4.0.0.patch: Dropped.
    Fixed in upstream 15.1.0.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 29 Jul 2019 08:39:33 +0200

horizon (3:15.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:04:48 +0100

horizon (3:15.0.0~rc2-0ubuntu2) disco; urgency=medium

  * d/p/set-min-version-of-python-cinderclient-to-4.0.0.patch: Ensure
    python3-cinderclient is >= 4.0.0, as this is required for create/update
    of volumes from the horizon dashboard (LP: #1824017).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Apr 2019 17:12:30 -0400

horizon (3:15.0.0~rc2-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.
  * d/p/drop-devicename-creating-server-with-image-boot-to-volume.patch:
    Dropped. Included in new upstream release candidate.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 Apr 2019 15:01:36 -0400

horizon (3:15.0.0~rc1-0ubuntu2) disco; urgency=medium

  [ Corey Bryant ]
  * Revert commited quilt patches.
  * Re-import orig tarball to fix broken svg files.

  [ Karl Williams ]
  * d/theme/ubuntu/_styles.scss: Fixing white bar on top of login
    page (LP: #1818770).

  [ Sahid Orentino Ferdjaoui]
  * d/theme/ubuntu/img: Replacing the corrupted PNG image
    image-background-pattern.png (LP: #1821896)

  [ Eric Desrochers ]
  * d/p/drop-devicename-creating-server-with-image-boot-to-volume.patch:
    When creating a server using an image boot source to new volume,
    horizon specified device_name 'vda'. If for instance we use an image
    with disk_bus type scsi, horizon will name the device_name as 'vda'
    when it should be 'sda'. As per BDMv2 documentation, it's best to not
    specify device_name. (LP: #1822129)

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Apr 2019 15:59:34 -0400

horizon (3:15.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:25:15 +0000

horizon (3:15.0.0~b2-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 15.x series.
  * New upstream milestone for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 16:16:24 -0400

horizon (3:15.0.0~b2~git2019013121.d11ab7b28-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 21:02:43 -0500

horizon (3:15.0.0~b1~git2018112014.c4515d1bf-0ubuntu2) disco; urgency=medium

  * d/openstack-dashboard.postinst: Ensure that if memcached is installed it is
    restarted in post-install script after collecting/compressing static assets,
    enabling refresh of memcached static assets after upgrade (LP: #1802226).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Nov 2018 13:57:34 -0500

horizon (3:15.0.0~b1~git2018112014.c4515d1bf-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,openstack-dashboard.postinst,pydist-overrides,
    d/tests/*: Drop Python 2 support.
  * d/p/add-enabled-check-in-backups-panel.patch: Dropped. Fixed in upstream
    snapshot.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 14:47:48 -0500

horizon (3:14.0.0-0ubuntu4) cosmic; urgency=medium

  * d/p/add-enabled-check-in-backups-panel.patch: Cherry-picked from
    https://review.openstack.org/#/c/605715 to ensure Volume Backups panel
    is disabled if enable_backup is False (LP: #1778771).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Oct 2018 15:04:31 -0400

horizon (3:14.0.0-0ubuntu3) cosmic; urgency=medium

  * d/theme/ubuntu/_styles.scss: Ensure btn-danger rules are preferred when
    used with a, a:link, a:visited and dropdown-menu.li (LP: #1790189).
  * d/p/add-juju-environment-download.patch: Dropped as this support is for
    an old version of Juju (1.x). Users should follow the documentation at
    docs.jujucharms.com to configure Juju (2.x) to use an OpenStack cloud.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Sep 2018 14:22:20 -0600

horizon (3:14.0.0-0ubuntu2) cosmic; urgency=medium

  * d/openstack-dashboard.install, d/openstack-dashboard-common.install: Move
    apache2 conf back to openstack-dashboard package where apache2 dependencies
    are installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 11:53:46 -0400

horizon (3:14.0.0-0ubuntu1) cosmic; urgency=medium

  * d/p/init-security-group-rule-quota.patch: Dropped. This patch is not
    complete.
  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:47:09 -0400

horizon (3:14.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * d/p/init-security-group-rule-quota.patch: Ensure the security_group_rule
    quota is initialized when quota_details extension is not supported.
    Otherwise, security_group_rule will not be initialized with 'used' and
    'available' dictionary items.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Aug 2018 13:04:18 -0400

horizon (3:14.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:16:59 -0400

horizon (3:14.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 10:08:00 -0400

horizon (3:14.0.0~b2-0ubuntu3) cosmic; urgency=medium

  * d/control, d/openstack-dashboard-common.*: Add openstack-dashboard-common
    package and move common file installation from openstack-dashboard to it.
    This allows python(3)-django-horizon to be installed prior to the
    openstack-dashboard package.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jul 2018 08:55:14 -0400

horizon (3:14.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add python3-django-horizon package.
    - d/control: Add libapache2-mod-wsgi-py3 and python3-django-horizon
      and alternatives for openstack-dashboard installation.
    - d/rules: Switch to pkgos-dh_auto_install.
    - d/rules: Stop linking to pyX version of horizon modul
      as its not actually needed.
    - d/rules: Install themes and xstatic content into py2/py3
      specific locations.
    - d/openstack-dashboard.postinst: Detect which django-horizon
      package is installed to determine which python version to
      use for collectstatic and compress operations.
    - d/py3dist-overrides: Add xstatic overrides for py3.
    - d/pydist-overrides: Align xstatic overrides with deps.
    - d/python{3}-django-horizon.{postinst,prerm,postrm}: Manage
      /usr/share/openstack-dashboard/openstack_dashboard as an
      alternative to provide py3/py3 versions of the WSGI entry
      point for Horizon.
    - d/openstack-dashboard.install: Drop install of openstack_dashboard,
      now provided by python{3}-django-horizon via alternatives.
  * d/openstack-dashboard.conf: Use new WSGI entry point.
  * d/control: Use python3-sphinx for doc build.

 -- James Page <james.page@ubuntu.com>  Mon, 09 Jul 2018 09:46:52 +0100

horizon (3:14.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-dashboard-django-wsgi.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 13:38:42 -0400

horizon (3:14.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 14.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright,
    d/p/debian/patches/add-juju-environment-download.patch: Use https URLs.
  * d/control: Drop obsolete XS-Testsuite: autopkgtest header.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 May 2018 15:26:46 -0400

horizon (3:13.0.0-0ubuntu2) cosmic; urgency=medium

  * d/openstack-dashboard.postinst: Make sure that /var/lib/openstack-dashboard/
    and /var/lib/openstack-dashboard/secret_key have the appropriate permissions
    (LP: #1765191).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Thu, 10 May 2018 15:43:41 -0300

horizon (3:13.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 14:23:55 -0500

horizon (3:13.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Feb 2018 09:08:36 -0500

horizon (3:13.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 17:06:43 +0000

horizon (3:13.0.0~b3-0ubuntu1) bionic; urgency=medium

  * d/openstack-dashboard.conf: Run within the global application group which
    executes within the context of the first Python interpreter (LP: #1738379).
  * d/openstack-dashboard.postinst: Add check in to ensure
    apache2-maintscript-helper exists before executing (LP: #1740300).
  * New upstream milestone for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 09:30:21 -0500

horizon (3:13.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/rules, d/control, d/python-django-openstack-auth.install: Add binary
    packages for python(3)-django-openstack-auth as the code has been moved
    into the horizon git repo.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Dec 2017 10:55:33 -0500

horizon (3:13.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/p/*: Rebased.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 09:00:08 -0500

horizon (3:13.0.0~b1-0ubuntu2) bionic; urgency=medium

  * Depend on python-django-compressor instead of the (transitional,
    obsolete) python-compressor.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Nov 2017 21:59:06 -0800

horizon (3:13.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/*: Rebased.
  * d/rules: Use manage.py to compile the message catalog as run_tests.sh
    has been removed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 10:29:55 -0500

horizon (3:12.0.0-0ubuntu3) bionic; urgency=medium

  * d/p/add-juju-environment-download.patch: Add DownloadJujuEnv to
    table_actions_menu (LP: #1727810).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Oct 2017 13:15:35 -0400

horizon (3:12.0.0-0ubuntu2.1) artful; urgency=medium

  * d/p/add-juju-environment-download.patch: Update broken url for
    downloading Juju environment (LP: #1714985).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Oct 2017 15:18:16 -0400

horizon (3:12.0.0-0ubuntu2) artful; urgency=medium

  * debian/theme/ubuntu/_styles.scss: Ensure btn-primary text color takes
    precedence (LP: #1481216).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Sep 2017 10:23:14 -0400

horizon (3:12.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:24:19 -0400

horizon (3:12.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:09:05 -0400

horizon (3:12.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 17:26:05 -0400

horizon (3:12.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:35 -0400

horizon (3:12.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.
  * d/control: Set min python-openstack-auth to 3.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 15:00:49 -0400

horizon (3:12.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:07:32 +0100

horizon (3:12.0.0~b1-0ubuntu2) artful; urgency=medium

  * Switch to using horizon user and group for wsgi processes:
    - d/openstack-dashboard.postinst: Update to use horizon instead
      of www-data, tidy for conf file moves in older versions and drop
      apache2.2 config file handling.
    - d/openstack-dashboard.conf: Switch www-data -> horizon for wsgi
      processes.

 -- James Page <james.page@ubuntu.com>  Wed, 10 May 2017 12:08:32 -0400

horizon (3:12.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/openstack-dashboard: Make sure that /etc/openstack-dashboard has the
    apporiate permissions. (LP: #1675088) 

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.
  * d/p/*: Refresh.
  * d/compat: Bump to version 9.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 14:51:59 +0100

horizon (3:11.0.1-0ubuntu1) zesty; urgency=medium

  * New upstream stable release for OpenStack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Mar 2017 10:45:59 -0400

horizon (3:11.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:42:25 -0500

horizon (3:11.0.0~rc2-0ubuntu2) zesty; urgency=medium

  * d/theme/*: Refresh theme for final Ocata release. Thanks to
    karl.williams@canonical.com for contributing these updates.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Feb 2017 14:27:37 -0500

horizon (3:11.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream release candidate for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Feb 2017 08:37:55 -0500

horizon (3:11.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata.
  * d/patches/add-juju-environment-download.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:48:51 -0500

horizon (3:11.0.0~b3-0ubuntu2) zesty; urgency=medium

  * d/openstack-dashboard.*, d/p/ubuntu_settings.patch: Collect static files
    into /var/lib/ instead of /usr/share/. This aligns with the FHS
    (/usr/share files is for static and /var/lib is for dynamic files).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jan 2017 15:45:20 -0500

horizon (3:11.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 07:41:08 -0500

horizon (3:11.0.0~b3~20170113.158a4c1a-0ubuntu1) zesty; urgency=medium

  * New upstream release snapshot for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Jan 2017 11:46:53 -0500

horizon (3:11.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:27:31 -0500

horizon (3:11.0.0~b1-0ubuntu3) zesty; urgency=medium

  * d/openstack-dashboard.preinst, d/openstack-dashboard.postrm: Remove
    /usr/share/openstack-dashboard/static/ directory where we used to remove
    its contents. In Newton this directory was a symlink but not in Ocata.
    Also remove /usr/share/openstack-dashboard/openstack_dashboard/ in preinst
    to enable upgrades.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Nov 2016 12:02:29 -0500

horizon (3:11.0.0~b1-0ubuntu2) zesty; urgency=medium

  * d/p/*: Rebased.
  * d/rules, d/openstack-dashboard.links: Drop unnecessary install steps
    (LP: #1643964).
  * d/openstack-dashboard.postinst, d/openstack-dashboard.dirs: Update static
    file paths to use /usr/share/openstack-dashboard/static/.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 22 Nov 2016 14:28:39 -0500

horizon (3:11.0.0~b1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Nov 2016 13:10:06 -0500

horizon (3:10.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 10:47:05 -0400

horizon (3:10.0.0~rc3-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 10:59:13 -0400

horizon (3:10.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:18:19 -0400

horizon (3:10.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Sep 2016 09:04:54 -0400

horizon (3:10.0.0~b3-0ubuntu2) yakkety; urgency=medium

  * d/theme/ubuntu/_variables.scss: Fixup path to font_awesome resources.
  * d/control: Add python-memcache to runtime Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Sep 2016 16:54:07 +0100

horizon (3:10.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * Update epoch to align with Debian.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.
  * d/p/fix-horizon-test-settings.patch: Rebased.
  * d/p/add-juju-environment-download.patch: Rebased.
  * d/p/embedded-xstatic.patch: Refactored due to upstream re-work.
  * d/pydist-overrides: Add new xstatic packages.
  * d/theme/ubuntu/horizon/_styles.scss: Update path to vendor-prefixes.scss.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 14:17:24 -0400

horizon (2:10.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/theme/ubuntu/horizon/components/_context_selection.scss: Rename
    dropdown-item-padding-vertical and dropdown-item-padding-horizontal
    to align with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jul 2016 09:04:26 -0400

horizon (2:10.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 15:04:52 -0400

horizon (2:10.0.0~b1-0ubuntu2) yakkety; urgency=medium

  * Fold Ubuntu theme into themes installed as part of the core
    openstack-dashboard package:
    - d/openstack-dashboard-ubuntu-theme.*,control:
      Make openstack-dashboard-ubuntu-theme transitional.
    - d/openstack-dashboard.install: Install Ubuntu theme.
    - d/theme/ubuntu_theme.py: Drop, no longer needed.
    - d/p/ubuntu_settings.patch: Add Ubuntu theme to list of available
      themes for users.
  * d/p/*: Refresh.
  * d/openstack-dashboard.conf: Ensure wsgi process-group is set for
    horizon application (LP: #1584040), set process display-name to
    wsgi application group for ease of debugging.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jun 2016 11:00:15 +0100

horizon (2:10.0.0~b1-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/embedded-xstatic.patch: Rebased.
  * d/p/add-juju-environment-download.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2016 11:06:57 -0400

horizon (2:9.0.0-0ubuntu3) yakkety; urgency=medium

  * d/theme/ubuntu/*: Refresh with misc fixes from the Canonical design
    team (LP: #1585948).

 -- James Page <james.page@ubuntu.com>  Thu, 26 May 2016 10:05:30 +0100

horizon (2:9.0.0-0ubuntu2) xenial; urgency=medium

  * d/openstack-dashboard.[preinst|postrm]: Remove any static files from
    /usr/share/openstack-dashboard/static/* prior to install and after removal
    (LP: #1568971).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Apr 2016 15:05:42 -0400

horizon (2:9.0.0-0ubuntu1) xenial; urgency=medium

  * Final upstream release for OpenStack Mitaka.
  * d/theme/*: Refresh for final Mitaka release (LP: #1556916).

 -- James Page <james.page@ubuntu.com>  Thu, 07 Apr 2016 18:30:21 +0100

horizon (2:9.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/*: Rebased.
  * d/theme/ubuntu_theme.py: Drop the deprecated CUSTOM_THEME_PATH in favor of
    AVAILABLE_THEMES.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:13:46 -0400

horizon (2:9.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.
  * d/p/embedded-xstatic.patch: Rebased.
  * d/p/fix-horizon-test-settings.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 07 Mar 2016 14:40:58 -0500

horizon (2:9.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.
  * d/p/add-juju-environment-download.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Jan 2016 14:20:57 -0500

horizon (2:9.0.0~b1-0ubuntu2) xenial; urgency=medium

  * d/p/fix-horizon-test-settings.patch: Set path to enable import from
    openstack_dashboard.static_settings.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Dec 2015 16:07:24 -0500

horizon (2:9.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Dec 2015 09:39:48 -0500

horizon (2:8.0.0-0ubuntu2) wily; urgency=medium

  * d/openstack-dashboard-ubuntu-theme.postrm: Ensure that purge and
    reload of static assets is only done on purge/remove, resolving
    problems when upgrading to new versions (LP: #1506826).

 -- James Page <james.page@ubuntu.com>  Fri, 16 Oct 2015 14:20:47 +0100

horizon (2:8.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 17:16:06 -0400

horizon (2:8.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2015 09:58:44 -0400

horizon (2:8.0.0~rc1-0ubuntu2) wily; urgency=medium

  * Update Ubuntu theme inline with OpenStack Liberty.

 -- James Page <james.page@ubuntu.com>  Sat, 03 Oct 2015 06:58:24 +0100

horizon (2:8.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.
  * d/control: Align dependencies with upstream.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Sep 2015 15:15:11 -0400

horizon (2:8.0.0~b3-0ubuntu2) wily; urgency=medium

  * d/pydist-overrides: Add missing xstatic packages to resolve install
    issues in the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Mon, 14 Sep 2015 12:38:40 +0100

horizon (2:8.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.
  * d/p/embedded-xstatic.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:52:37 -0400

horizon (2:8.0.0~b2-0ubuntu4) wily; urgency=medium

  * d/rules: Add symlink to horizon dist-packages in root of openstack-dashboard
    install, resolving problems with loading of charts and javascript.
  * d/rules: Trim any trailing whitespace.
  * d/openstack-dashboard-ubuntu-theme.links: Pickup default bootstrap and horizon
    theme configurations.
  * d/control,d/tests: Add a basic install autopkgtest.
  * d/*.postinst: Ensure that any subdirectories are purged prior to collection
    and compression of static assets.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Sep 2015 14:29:06 +0100

horizon (2:8.0.0~b2-0ubuntu3) wily; urgency=medium

  * d/pydist-overrides: Update for new milestone, resolving installability
    issues in Ubuntu Cloud Archive.
  * d/theme/ubuntu/_variables.scss: Import default theme before overriding,
    resolving installability problems (LP: #1477782). Note that theme is
    not completely functional - this will be resolved later.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Sep 2015 11:25:39 +0100

horizon (2:8.0.0~b2-0ubuntu2) wily; urgency=medium

  * Rebuild to pick up xstatic orig tarball.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 25 Aug 2015 07:13:01 -0400

horizon (2:8.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.
  * d/p/embedded-xstatic.patch: Rebased.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 10:31:38 -0400

horizon (2:8.0.0~b1-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * Refresh all patches for new release.
  * Align (build-)depends with upstream.
  * wrap-and-sort -a -t.
  * Tidy copyright file.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Jul 2015 11:41:34 +0100

horizon (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 15:46:00 +0200

horizon (1:2015.1~rc1-0ubuntu2) vivid; urgency=medium

  * d/pydist-overrides: Amend typo xstatic-angular-irdragndrop ->
    xstatic-angular-lrdragndrop to ensure that embedded xstatic deps are
    correctly ignored when generating dependencies (LP: #1439837).

 -- James Page <james.page@ubuntu.com>  Mon, 20 Apr 2015 08:54:52 +0100

horizon (1:2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate:
    - d/openstack-dashboard.conf: Add /horizon/static alias in addition
      to /static to cover both paths to static resources.
    - d/p/fix-requirements.patch: Drop, not actually used.
    - d/p/*: Refresh.
  *  Update Ubuntu theme for OpenStack Kilo (LP: #1443973).
    - d/theme/*: Refresh inline with new approach to theming in Kilo.
    - d/openstack-dashboard-ubuntu-theme.install|links: Install
      ubuntu_theme.py directly into the openstack_dashboard source tree
      instead of symlinking, supporting easier switching of themes.
    - d/openstack-dashboard{-ubuntu-theme}.postinst|postrm: Purge 'custom'
      folder prior to collecting and compressing static assets to ensure
      that theme changes are correctly detected and implemented.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Apr 2015 10:14:54 +0100

horizon (1:2015.1~b3-0ubuntu2) vivid; urgency=medium

  * d/pydist-overrides: Ignore xstatic depends added at kilo-3 as these
    are bundled in Ubuntu (LP: #1442531). 

 -- James Page <james.page@ubuntu.com>  Fri, 10 Apr 2015 10:03:25 +0100

horizon (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/control: All version requirements with upstream, drop dependency
      on lockfile.
    - Refresh xstatic assets.
    - d/p/*: Refresh.
  * d/pydist-overrides: Add overrides for oslo packages.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:12:29 +0100

horizon (1:2015.1~b2-0ubuntu5) vivid; urgency=medium

  * d/control: Restore BD on python-django-nose, fixing FTBFS. 
  * d/control: Add BD on dh-python.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Mar 2015 12:15:21 +0000

horizon (1:2015.1~b2-0ubuntu4) vivid; urgency=medium

  * d/theme/templates/_stylesheets.html: Re-align with new upstream
    release (LP: #1432596). 

 -- James Page <james.page@ubuntu.com>  Mon, 16 Mar 2015 11:35:58 +0000

horizon (1:2015.1~b2-0ubuntu3) vivid; urgency=medium

  [ Corey Bryant ]
  * d/pydist-overrides: Add python-xstatic-smart-table.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 20 Feb 2015 14:25:29 -0500

horizon (1:2015.1~b2-0ubuntu2) vivid; urgency=medium

  * d/control: Drop testing related BD's as tests are not currently
    executed during package build.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Feb 2015 08:14:03 +0000

horizon (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/embedded-xstatic.patch: Refreshed. Code moved to new files.
    - d/p/fix-requirements.patch: Added to drop selenium dependency.

  [ James Page ]
  * d/bundle-xstatic.sh: Use --system flag when generating xstatic
    assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Feb 2015 13:50:29 +0000

horizon (1:2015.1~b1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Open for Kilo.
  * d/control: Update bzr branches 
  * d/patches/embedded-xstatic.patch: Refreshed
  * d/patches/add-juju-environment-download.patch: Temporarily disabled.

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/watch: Update uversionmangle for kilo beta naming.
  * d/control: Bumped Standards-Version to 3.9.6.

  [ James Page ]
  * d/bundle-xstatic.sh: Tweak grep to be case insensitive.
  * d/p/add-juju-environment-download.patch: Rebase for kilo-1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Jan 2015 16:42:06 -0500

horizon (1:2014.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Oct 2014 16:01:15 +0100

horizon (1:2014.2~rc2-0ubuntu2) utopic; urgency=medium

  * Resolve issues with missing static assets and failing compression
    (LP: #1379761):
    - d/openstack-dashboard*.postinst: Collect and compress static assets
      during installation.
    - d/rules: Drop explicit link to bootstrap scss resources
    - d/p/ubuntu_settings.patch: Switch back to using offline compression.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Oct 2014 10:10:08 +0100

horizon (1:2014.2~rc2-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate.
    - d/p/*: Refresh.
    - Compile translations during package build:
      + d/control: Add BD's to support compilation of translations. 
      + d/rules: Cleanup/compile translations as required.
  * d/watch: Only match versions starting with digits.
  * d/rules: Link in bootstrap scss assets directory to static root to
    ensure that font based icons for buttons can be rendered (LP: #1380594).

 -- James Page <james.page@ubuntu.com>  Mon, 13 Oct 2014 13:26:23 +0100

horizon (1:2014.2~rc1-0ubuntu3) utopic; urgency=medium

  * d/pydist-overrides: Ignore django_compressor and django_openstack_auth,
    as these don't correctly match with binary packages in Ubuntu, fixing
    installability. 

 -- James Page <james.page@ubuntu.com>  Thu, 09 Oct 2014 15:58:28 +0100

horizon (1:2014.2~rc1-0ubuntu2) utopic; urgency=medium

  * d/theme/*: Update Ubuntu theme for Juno, drop redundant images.
  * d/p/add-juju-environment-download.patch: Restore and re-base the Juju
    environments download link (LP: #1362053).
  * d/source/options: Sort out package clean due to changes in egg-info.
  * d/python-django-horizon.install: Ensure egg-info files are installed
    to support version checking, resolving stack track in system info panel.
  * d/pydist-overrides: Make sure xstatic packages are ignored when generating
    binary package dependencies.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Oct 2014 12:14:25 +0100

horizon (1:2014.2~rc1-0ubuntu1) utopic; urgency=medium

  [ Chris Johnston ]
  * d/theme/css/ubuntu.css: Fix Ubuntu theme for Instances "more" dropdown
    (LP: #1308651).

  [ James Page ]
  * New upstream release candidate:
    - d/p/*: Refresh.
  * d/watch: Use tarballs.openstack.org for upstream releases. 

 -- James Page <james.page@ubuntu.com>  Fri, 03 Oct 2014 17:54:18 +0100

horizon (1:2014.2~b3-0ubuntu1) utopic; urgency=medium

  [ Chris Johnston ]
  * d/p/fix-ubuntu-theme.patch: Fix Ubuntu theme dropdown and confirmation
    button (LP: #1308651).

  [ James Page ]
  * New upstream milestone release.
  * Embed xstatic assets dependencies in secondary orig-xstatic.tar.gz:
    - d/rules,bundle-xstatic.sh: Add helper to bundle required xstatic pkgs.
    - d/p/embedded-xstatic.patch: Use embedded versions.
    - d/rules: Install xstatic pkgs into python-django-horizon.
    - d/README.source: Details of all of the above and how to use it.
  * Switch to using pyscss for CSS and JS optimization:
    - d/control: Add Depends on python-django-pyscss.
    - d/openstack-dashboard.install,d/static/*: Drop pre-optimized assets
      from debian directory.
  * d/p/ubuntu_settings.patch: Restored missing Ubuntu theme settings.
  * d/control: Drop Suggests on python-lesscpy, no longer supported.
  * d/control: Bumped Standards-Version: 3.9.5, no changes.
  * d/control: Tidy versioned requirements.
  * d/control: Drop BD for test requirements as tests are not run during
    build.
  * d/openstack-dashboard.conf: Sort out permissions.
  * d/control: Drop python-django-openstack transitional package,
    no longer required.
  * d/theme/templates/_stylesheets.html: Refresh against upstream
    codebase.
  * d/control: Add missing dependency on python-saharaclient.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Sep 2014 15:36:23 +0100

horizon (1:2014.2~b2-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/patches/ubuntu_settings.patch: Refresed
  * debian/patches/fix-dashboard-manage.patch: Refreshed
  * debian/patches/fix-dashboard-django-wsgi.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Jul 2014 11:39:09 -0400

horizon (1:2014.2~b1-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Open up juno release

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Apr 2014 11:23:26 -0400

horizon (1:2014.1-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1288245).

 -- James Page <james.page@ubuntu.com>  Thu, 17 Apr 2014 12:21:21 +0100

horizon (1:2014.1~rc2-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate (LP: #1288245).
    - d/static/*: Refreshed assets for new upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Apr 2014 07:39:58 -0400

horizon (1:2014.1~rc1-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate (LP: #1288245).
    - d/static/*: Refreshed assets for new upstream release.
  * d/theme/*: Refresh Ubuntu theme against Icehouse templates (LP: #1291653).

 -- James Page <james.page@ubuntu.com>  Mon, 31 Mar 2014 17:31:49 +0100

horizon (1:2014.1~b3-0ubuntu2) trusty; urgency=medium

  * Ensure correct URL is used for logout/timeout (LP: #1243187):
    - d/p/ubuntu_settings.patch: Update LOGOUT_URL for /horizon prefix.
  * Ensure Apache configuration is backwards compatible with Apache 2.2
    (LP: #1292577):
    - d/openstack-dashboard.conf: Revert changes from 1:2014.1~b2-0ubuntu2.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Mar 2014 16:21:00 +0000

horizon (1:2014.1~b3-0ubuntu1) trusty; urgency=medium

  * New upstream milestone release.
  * d/static/*: Refreshed assets for new upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 06 Mar 2014 16:53:28 +0000

horizon (1:2014.1~b2-0ubuntu2) trusty; urgency=medium

  * d/rules: Drop override of dh_auto_clean, not required. 
  * d/rules,openstack-dashboard.install: Detect and use default python
    version when creating symlink from openstack-dashboard -> horizon.
  * d/*: Tidy surplus execute bits on numerous files.
  * d/openstack-dashboard.conf: Update for Apache 2.4 stanza's.
  * d/rules: Skip tests as they don't run and results where being ignored.
  * d/control: python-django-openstack - update description, move to section
    oldlibs for transitional packages.
  * d/*: Wrap-and-sort.
  * d/control: Drop BD on python-d2to1, merged into python-pbr.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Feb 2014 14:34:33 +0000

horizon (1:2014.1~b2-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/patches/fix-ubuntu-tests.patch: Dropped. 
  * deban/patches/ubuntu-settings.patch: Refreshed

  [ James Page ]
  * debian/static: Refresh assets.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jan 2014 15:12:31 +0000

horizon (1:2014.1~b1-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/control: open icehouse release.
  * debian/static/openstack-dashboard: Refreshed static assets.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Dec 2013 14:39:15 -0500

horizon (1:2013.2-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1236462).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Oct 2013 09:43:46 -0400

horizon (1:2013.2~rc3-0ubuntu1) saucy; urgency=low

  * New upstream release candidate (LP: #1240665).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 16 Oct 2013 20:10:52 -0400

horizon (1:2013.2~rc2-0ubuntu1) saucy; urgency=low

  * New upstream release candidate. (#1239156)
  * debian/README.compression: Updated documenation on how to
    refresh the static assets.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 15 Oct 2013 10:20:05 -0400

horizon (1:2013.2~rc1-0ubuntu2) saucy; urgency=low

  * d/theme/css/ubuntu.css: Refresh Ubuntu theme against new Havana
    stylesheets, fixing network and chart layouts (LP: #1235249).
  * d/openstack-dashboard.postinst: Allow horizon user to read and
    write data in /var/lib/openstack-dashboard inline with user and
    group permissions set in Apache configuration.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Oct 2013 14:17:43 +0100

horizon (1:2013.2~rc1-0ubuntu1) saucy; urgency=low

  [ James Page ]
  * New upstream release candidate:
    - d/static: Refreshed static assets for 2013.2~rc1.
    - d/patches: Refreshed patches.

  [ Chuck Short ]
  * debian/control: Add python-lesscpy as a suggests to optionally
    support online compression of static assets (LP: #1226674).

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2013 13:48:12 +0100

horizon (1:2013.2~b3-0ubuntu2) saucy; urgency=low

  * Don't use /etc/openstack-dashboard for in-process generated data
    (LP: #1233752):
    - d/openstack-dashboard.{dirs,postinst}:
      + Create /var/lib/openstack-dashboard with restricted permissions,
        allowing www-data user to write a secret_key if need be.
      + Move /etc/openstack-dashboard/secret_key to correct location if
        it already exists.
    - d/p/ubuntu_settings.patch: Use /var/lib/openstack-dashboard for
      secret key storage instead of /etc/openstack-dashboard.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Oct 2013 10:31:15 +0100

horizon (1:2013.2~b3-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: Minimum python-openstack-auth version >= 1.1.1.
  * debian/control: Add python-troveclient.
  * debian/static: Refresh static assets for 2013.2~b3.
  * debian/patches: ubuntu_local_settings.patch -> ubuntu_settings.patch, also
    patch location of secret key in openstack_dashboard/settings.py

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 06 Sep 2013 11:59:43 -0700

horizon (1:2013.2~b2-0ubuntu6) saucy; urgency=low

  * debian/patches/ubuntu_local_settings.py: Set flexible
    default for ALLOWED_HOSTS that should be changed for production
    deployments (LP: #1214982).
  * Fix (LP: #1216019):
    - debian/openstack-dashboard.{postinst, postrm}: Add/remove horizon
      user.  Ensure /etc/openstack-dashbard ownership.
    - debian/openstack-dashboard.conf: Run WSGIDaemonProcess as user
      horizon, set WSGIProcessGroup to horizon.
    - debian/patches/ubuntu_local_settings.py: Generate and load secret
      key from /etc/openstack-dashboard/secret_key.

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 06 Sep 2013 10:33:18 -0700

horizon (1:2013.2~b2-0ubuntu5) saucy; urgency=low

  * d/static/*: Refresh static assets for 2013.2~b2.
  * d/rules: Tweak helper for refreshing static assets to link
    local_settings.py correctly.
  * d/openstack-dashboard.p*: Fix typo in configuration file name,
    ensure consistent use of tabs/spaces.

 -- James Page <james.page@ubuntu.com>  Mon, 02 Sep 2013 16:43:56 +0100

horizon (1:2013.2~b2-0ubuntu4) saucy; urgency=low

  * Update for apache 2.4, preserve 2.2 compatability. (LP: #1218535)

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 30 Aug 2013 15:31:49 -0700

horizon (1:2013.2~b2-0ubuntu3) saucy; urgency=low

  * debian/rules: Don't remove egg information while cleaning.
    (LP: #1210253)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 21 Aug 2013 10:08:35 -0400

horizon (1:2013.2~b2-0ubuntu2) saucy; urgency=low

  * debian/control: Fix typo in depends. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 22 Jul 2013 14:36:30 -0400

horizon (1:2013.2~b2-0ubuntu1) saucy; urgency=low

  [ James Page ]
  * d/control: Update VCS fields for new branch locations.
  * Automate refresh of static assets:
    - d/rules: Added refresh-static-assets helper target.
    - d/README.compression: Updated for new process.
  * d/static/*: Refreshed static assets.

  [ Chuck Short ]
  * New upstream release
  * debian/control:
    - Add python-ceilometerclient
    - Add python-heatclient
    - Renamed python-quantumclient to python-neturonclient.
  * debian/curles: Removed instances of quantum since its cruft 
    that we dont need anymore.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 22 Jul 2013 11:45:28 -0400

horizon (1:2013.2~b1-0ubuntu1) saucy; urgency=low

  * New upstream release. 
  * debian/patches/ubuntu_local_settings.patch: Refreshed
  * debian/control: Add python-pbr and python-d2to1.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 31 May 2013 08:59:58 -0500

horizon (1:2013.1-0ubuntu3) raring; urgency=low

  * Re-sync Ubuntu theme with upstream changes, fixing instance network
    selection dialog and network topology screens (LP: #1157918).

 -- James Page <james.page@ubuntu.com>  Mon, 22 Apr 2013 14:09:04 +0100

horizon (1:2013.1-0ubuntu2) raring; urgency=low

  * Recompress static JS and CSS and generate new manifest.json for
    offline compression. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Apr 2013 12:24:24 -0500

horizon (1:2013.1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 05 Apr 2013 14:20:44 -0500

horizon (1:2013.1~rc2-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Apr 2013 08:40:42 -0500

horizon (1:2013.1~rc1-0ubuntu1) raring; urgency=low

  [ James Page ]
  * New upstream release candidate for Grizzly:
    - Recompress static JS and CSS and generate new manifest.json for
      offline compression.
  * d/watch: Update uversionmangle to deal with upstream versioning
    changes, remove tarballs.openstack.org.
  * d/control: Version python-compressor >= 1.2 (LP: #1130610).

  [ Adam Gandelman ]
  * debian/patches/ubuntu_local_settings.py: Refresh, specify memcache
    location as part of CACHES, as per upstream changes to example config.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2013 11:20:17 +0000

horizon (2013.1.g3-0ubuntu2) raring; urgency=low

  * Recompress static JS and CSS and generate new manifest.json for offline
    compression. 

 -- James Page <james.page@ubuntu.com>  Tue, 26 Feb 2013 07:35:51 +0000

horizon (2013.1.g3-0ubuntu1) raring; urgency=low

  [ James Page ]
  * Recompress static JS and CSS and generate new manifest.json for offline
    compression in preparation for Grizzly-3.

  [ Chuck Short ]
  * New usptream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Feb 2013 09:43:22 -0600

horizon (2013.1~g2-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * Recompress static JS and CSS and generate new manifest.json for offline
    compression in preparation for Grizzly-2.

  [ Chuck Short ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Jan 2013 08:26:40 -0600

horizon (2013.1~g1-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * debian/patches/add_juju_settings_pannel.patch: Disable during
    Grizzly dev. cycle.

  [ Chuck Short ]
  * New upstream relase.
  * Refreshed patches.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 23 Nov 2012 08:49:14 -0600

horizon (2012.2-0ubuntu2) quantal; urgency=low

  * debian/control: Set strict version requirements between python-django-horizon,
    openstack-dashboard, and openstack-ubuntu-theme. (LP: #1061961)
  * debian/theme/css/ubuntu.css: Refreshed against Folsom. (LP: #1064420)
  * debian/patches/add_juju_panel.patch: Update and refresh for Folsom
    compatability. (LP: #1064605)
  * debian/patches/allow_alternate_css.patch: Remove unapplied, obsolete
    patch.

 -- Adam Gandelman <adamg@canonical.com>  Tue, 09 Oct 2012 09:59:55 -0700

horizon (2012.2-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Sep 2012 11:56:26 -0500

horizon (2012.2~rc2-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * Re-enable openstack-dashboard-ubuntu-theme.

  [ Chuck Short ]
  * New upstream release

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 21 Sep 2012 08:03:36 -0500

horizon (2012.2~rc1-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/patches/ubuntu_local_settings.patch: Squash all patches that
    touch local_settings.py.example into one.
  * Drop node-less dependency (LP: #1024326).
      - debian/static/openstack-dashboard: Pre-compressed and compiled JS, CSS
        and compressor manifest.json.
      - debian/patches/ubuntu_local_settings.patch: Set COMPRESS_OFFLINE=True
        to enable offline compression and pre-compressed static files by
        default.

  [ Chuck Short ]
  * New upstream release

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 12 Sep 2012 12:21:33 -0500

horizon (2012.2~rc1~20120904.2043-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/patches/fix-coverage-binary-name.patch: Drop, merge into
    fix-ubuntu-tests.patch.
  * debian/patches/set_login_redirects.patch: Configure login URLs in
    local_settings.py according to the default apache configuration
    installed. (LP: #1037349)
  * debian/patches/fix-dashboard-manage.patch: Refresh.

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Fix Launchpad URLs in debian/watch.

  [ Chuck Short ]
  * New upstream version

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 12:35:36 -0500

horizon (2012.2~f3-0ubuntu2) quantal; urgency=low

  * Depend on python-openstack-auth rather than on the removed
    python-django-openstack-auth.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Aug 2012 10:34:11 +0100

horizon (2012.2~f3-0ubuntu1) quantal; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/patches/fix-ubuntu-tests.patch: Fix test suites again to
    run during the builds.
  * debian/watch: Update.
  * debian/control: Add python-glanceclient. (LP: #1030911)
  * debian/openstack-dashboard.conf: Don't hijack apache's webroot. (LP:
    #1020313)
  * debian/control: Update horizon deps to reflect reality.

  [ Adam Gandelman ]
  * debian/control: Bump required python-django version to 1.4.
  * wrap-and-sort.
  * Fix (LP: #1036571):
      - debian/rules, openstack-dashboard.{links, dirs, postinst}: Add required
        symlinks and directories to allow Horizon to function with the packaged
        lessc.
      - debian/control: Add python-{cinder, swift, quantum}client,
        python-django-openstack-auth, python-netaddr, python-compressor, lessc.
  * debian/rules: Improve dh_auto_clean.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Aug 2012 14:01:33 -0500

horizon (2012.2~f2-0ubuntu1) quantal; urgency=low

  * New usptream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 11:38:55 -0400

horizon (2012.2~f2~20120622.1833-0ubuntu2) quantal; urgency=low

  * debian/patches/{use-memcache.patch, turn-off-debug.patch}: Refresh.

 -- Adam Gandelman <adamg@canonical.com>  Tue, 03 Jul 2012 14:09:15 -0700

horizon (2012.2~f2~20120622.1833-0ubuntu1) quantal; urgency=low

  [ Chuck Short ]
  * New upstream version.
  * debian/copyright: Fix lintian warnings.

  [ Adam Gandelman ]
  * Disabled during Folsom dev cycle, to be refreshed against first Folsom RC:
    - debian/patches/add_juju_settings_panel.patch
    - debian/patches/allow_alternate_css.patch
  * debian/patches/fix-coverage-binary-name.patch: Refreshed.
  * debian/patches/turn-off-debug.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 11:31:06 -0400

horizon (2012.2~f2~20120530.1777-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/patches/add_juju_settings_panel.patch: Refreshed
  * debian/patches/turn-off-debug.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 Jun 2012 10:57:56 -0400

horizon (2012.2~f1-0ubuntu1) quantal; urgency=low

  * New usptream release.
  * Prepare for quantal:
    - debian/patches/fix-coverage-binary-name.patch: Refreshed.
  * Temporarily pass the testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 May 2012 14:33:20 -0400

horizon (2012.1-0ubuntu8) precise-proposed; urgency=low

  * debian/control: Added memcached as a Recommends of python-django-horizon,
    to ensure a memcached is running and can be used via default install.
    - LP: #988435

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 25 Apr 2012 18:30:00 +0100

horizon (2012.1-0ubuntu7) precise; urgency=low

  * debian/patches/use-memcache.patch: Use memcache for session engine by
    default to avoid frequent logouts, as sessions are not shared across
    workers. LP: #968850

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 25 Apr 2012 10:55:18 +0100

horizon (2012.1-0ubuntu6) precise; urgency=low

  [ Adam Gandelman ]
  * debian/openstack-dashboard.links: Create symlink to horizon's static js
    files. (LP: #987535)

  [ Jamie Strandboge ]
  * debian/control: don't Build-Depends on python-cherrypy3. It is used by
    only the dashboard tests and they are disabled in Ubuntu builds

 -- Adam Gandelman <adamg@canonical.com>  Tue, 24 Apr 2012 10:43:12 -0700

horizon (2012.1-0ubuntu5) precise; urgency=low

  [ Adam Gandelman ]
  * debian/patches/turn-off-debug.patch: Enable again
  * debian/openstack-dashboard.conf: Add an Alias mapping '/static'
    to '/usr/share/opensack-dashboard/openstack_dashboard/static/'
    (LP: #980787)
  * debian/patches/allow_alternate_css.patch: Allow loading of ubuntu.css
    and favicon if they exists
  * debian/control: Drop libjs-jquery dependencies

  [ Dave Walker (Daviey) ]
  * debian/control: Drop duplicate depends python-cloudfiles.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 23 Apr 2012 10:04:39 +0100

horizon (2012.1-0ubuntu4) precise; urgency=low

  *  debian/patches/turn-off-debug.patch; Reverted, breaks CSS templates.
     (LP: #980787)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Apr 2012 09:58:54 -0400

horizon (2012.1-0ubuntu3) precise; urgency=low

  [ Adam Gandelman ]
  * debian/patches/add_juju_settings_panel.patch, debian/rules,
    debian/juju.png: Add an Ubuntu-specific panel to easily generate
    Juju environments.yaml

  [ Chuck Short ]
  * debian/patches/turn-off-debug.patch: Turn off debugging.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Apr 2012 12:42:04 -0400

horizon (2012.1-0ubuntu2) precise; urgency=low

  * Make openstack-dashboard Pre-Depends: dpkg (>= 1.15.7.2) for
    dpkg-maintscript-helper.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Apr 2012 17:58:25 +0100

horizon (2012.1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/patches/turn-off-debug.patch: Turn off debugging.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Apr 2012 10:46:00 -0400

horizon (2012.1~rc2-0ubuntu1) precise; urgency=low

  [ Chuck Short ]
  * New usptream release.
  * debian/control: Use python-cherrypy3
  * debian/rules: Update pythonpath in order to run tests.
  * debian/patches/fix-coverage-binary-name.patch: Make the testsuite
    run.
  * debian/rules: Fail build if tests fail.

  [ A Gandelman ]
  * debian/control: Add python-memcache
  * debain/dashboard.conf: Update to match current upstream documentation
    (LP: #966069)

  [ Adrien Cunin ]
  * Renamed Apache config file from dashboard.conf to openstack-dashboard.conf
    (LP: #965410)
    - Updated post{inst,rm} and added preinst to handle correctly the rename

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Apr 2012 07:21:15 -0400

horizon (2012.1~rc1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 20 Mar 2012 14:49:24 -0400

horizon (2012.1~rc1~20120315.1545-0ubuntu1) precise; urgency=low

  [Adam Gandelman]
  * New upstream release.

  [Chuck Short]
  * debian/control: Update run-time depends

 -- Adam Gandelman <adamg@canonical.com>  Fri, 16 Mar 2012 12:29:27 -0700

horizon (2012.1~rc1~20120308.1479-0ubuntu1) precise; urgency=low

  * New upstream version.
  * debian/rules: Fix symlink when installing horizon.
    (LP: #947118)
  * debian/control: Add python-django-nose as a dep. (LP: #944235)
  * debian/control: Fix broken depends.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Mar 2012 11:50:22 -0500

horizon (2012.1~e4-0ubuntu1) precise; urgency=low

  * New upstream version.
  * debian/rules: Update due to upstream build changes.
  * debian/control: Update standards-version.
  * debian/patches/openstack-config-settings.patch: Dropped
  * debian/patches/fix-dashboard-django-wsgi.patch: Refreshed
  * debian/patches/fix-dashboard-manage.patch: Refreshed
  * debian/openstack-dashboard.install: Update due to upstream build changes.
  * debian/dashboard: Update to upstream build changes.
  * debian/pydist-overrides: Dont try to install python-django-nose-selenium.
  * debian/openstack-dashboard.install: Add missing config files.
  * debian/rules: Fix broken settings.py
  * debian/patches/pkg-setup.patch: Copy missing templates, shameously
    taken from debian
  * debian/patches/fix-broken-tarbll.patch: Add missing files.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Mar 2012 12:11:59 -0500

horizon (2012.1~e4~20120224.1386-0ubuntu1) precise; urgency=low

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 24 Feb 2012 10:49:27 -0500

horizon (2012.1~e4~20120217.1354-0ubuntu1) precise; urgency=low

  * debian/patches/openstack-config-settings.patch: Refreshed.
  * debian/copyright: Updated copyright.
  * debian/rules: Diable tests since it doesnt work without a
    virtualenv.
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Feb 2012 10:12:25 -0500

horizon (2012.1~e4~20120210.1331-0ubuntu1) precise; urgency=low

  * New Upstream version
  * debian/control:
   - Add python-coverage as a build dependency.
   - Add python-novaclient as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Feb 2012 11:09:58 -0500

horizon (2012.1~e4~20120202.1300-0ubuntu2) precise; urgency=low

  * debian/control: Add python-keystoneclient as a build
    dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2012 13:29:27 -0500

horizon (2012.1~e4~20120202.1300-0ubuntu1) precise; urgency=low

  * New upstream version.
  * debian/control: Drop dependencies we dont need.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2012 09:55:54 -0500

horizon (2012.1~e3-0ubuntu1) precise; urgency=low

  * New upstream version.
  * debian/conffiles: Don't wipe out local_settings.py on upgrade.
    (LP: #914257)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2012 09:52:53 -0500

horizon (2012.1~e3~20120120.1235-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 20 Jan 2012 14:51:21 -0500

horizon (2012.1~e3~20120113.1213-0ubuntu1) precise; urgency=low

  [Chuck Short]
  * Removed python-django-horizon.postinst, let dh_python2 generate instead
    since python-support is not a dependency.
  * Dropped python-openstack-compute from debian/control.
  * Clean up debian/control.
  * Restart apache when installing the openstack dashboard.
    (LP: #905527)
  * Dropped python-coverage not needed.
  * Added transitional package for people updating from oneiric.
  * Rediffed patches.
  * More linitian fixes.

  [Robie Basak]
  * debian/control: put python-django-horizon in Python section.
  * debian/control: lintian fixes (LP: #899427):
    - Put python-django-horizon in Python section
    - Remove definite article from Description
  * debian/copyright: fix dep5 syntax.
  * debian/python-django-horizon.lintian-overrides: override for template shell
    script.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jan 2012 10:59:49 +0100

horizon (2012.1~e2-0ubuntu2) precise; urgency=low

  * Rebuild to drop dependencies on python2.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Jan 2012 10:58:49 +0100

horizon (2012.1~e2-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #904039)
  * debian/control: Update build-depends.
  * debian/watch: Fix to fetch from Launchpad ad well.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Dec 2011 16:34:56 -0500

horizon (2012.1~e2~20111209.1104-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Refreshed patches.
  * debian/docs: Removed README

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Dec 2011 16:18:55 -0500

horizon (2012.1~e1-0ubuntu~e2.20111201.1077.1) precise; urgency=low

  [ Chuck Short ]
  * Initial release.

  [ Jamie Strandboge ]
  * debian/patches/git-2012.1~e2~20111201.1077.patch: use 2012.1~e1 release
    tarball and apply all git commits up to 2012.1~e2~20111201.1077. This
    can be dropped in 2012.1~e2.
  * rename python-djanog-horizon.postinst to python-django-horizon.postinst

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 02 Dec 2011 16:21:52 -0600
